All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
roboptim::fg Namespace Reference

## Functions

std::ostream & | reset (std::ostream &o)
std::ostream & | red (std::ostream &o)
std::ostream & | green (std::ostream &o)
std::ostream & | yellow (std::ostream &o)
std::ostream & | blue (std::ostream &o)
std::ostream & | orange (std::ostream &o)
std::ostream & | ok (std::ostream &o)
std::ostream & | fail (std::ostream &o)
std::ostream & | warn (std::ostream &o)

## Function Documentation

std::ostream& roboptim::fg::blue | ( | std::ostream & | o | ) |

inline

References ROBOPTIM_CORE_FILTER_TTY.

std::ostream& roboptim::fg::fail | ( | std::ostream & | o | ) |

inline

References red().

Referenced by roboptim::detail::printConstraint< P >::operator()(), and roboptim::SolverError::print().

std::ostream& roboptim::fg::green | ( | std::ostream & | o | ) |

inline

References ROBOPTIM_CORE_FILTER_TTY.

Referenced by ok().

std::ostream& roboptim::fg::ok | ( | std::ostream & | o | ) |

inline

References green().

Referenced by roboptim::detail::printConstraint< P >::operator()(), and roboptim::Problem< F, C >::print().

std::ostream& roboptim::fg::orange | ( | std::ostream & | o | ) |

inline

References ROBOPTIM_CORE_FILTER_TTY.

Referenced by warn().

std::ostream& roboptim::fg::red | ( | std::ostream & | o | ) |

inline

References ROBOPTIM_CORE_FILTER_TTY.

Referenced by fail().

std::ostream& roboptim::fg::reset | ( | std::ostream & | o | ) |

inline

References ROBOPTIM_CORE_FILTER_TTY.

Referenced by roboptim::detail::printConstraint< P >::operator()(), roboptim::SolverError::print(), roboptim::Problem< F, boost::mpl::vector<> >::print(), and roboptim::Problem< F, C >::print().

std::ostream& roboptim::fg::warn | ( | std::ostream & | o | ) |

inline

References orange().

Referenced by roboptim::Problem< F, boost::mpl::vector<> >::print(), and roboptim::Problem< F, C >::print().

std::ostream& roboptim::fg::yellow | ( | std::ostream & | o | ) |

inline

References ROBOPTIM_CORE_FILTER_TTY.